Bluetooth with AR9462 doesn't work (New ID /Firmware)

Bug #1394368 reported by Wallcom on 2014-11-19
68
This bug affects 15 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Pilot6
Vivid
Undecided
Unassigned
linux-firmware (Ubuntu)
Medium
Unassigned
Vivid
Undecided
Unassigned

Bug Description

This is (kind of) a duplicate of:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884
(please read)

I can't use Bluetooth with my AR9462 WLAN/BT-Combo.
In the link above, it has been fixed, but not for my Adapter ID/Firmware:

System:
Ubuntu 14.10 utopic 64bit - 3.16.0-24-generic x86_64

lspci -nnk
02:00.0 Network controller [0280]: Qualcomm Atheros AR9462
Wireless Network Adapter [168c:0034] (rev 01)
 Subsystem: Lite-On Communications Inc Device [11ad:0802]
 Kernel driver in use: ath9k

lsusb (identified Bluetooth Device)
Bus 002 Device 003: ID 04ca:300d Lite-On Technology Corp.

ath9k.conf
options ath9k btcoex_enable=1

The "04ca:300d" ID is not in the Kernel, so i added it via dkms.

I took ath3k.c and btusb.c out of the 3.16.0-24-generic source files and changed them:

diff -urN ./linux-3.16.0/drivers/bluetooth/ath3k.c /usr/src/ar9462-1.5.1/ath3k.c
--- ./linux-3.16.0/drivers/bluetooth/ath3k.c 2014-08-04 00:25:02.000000000 +0200
+++ /usr/src/ar9462-1.5.1/ath3k.c 2014-11-19 21:12:46.646265890 +0100
@@ -85,6 +85,7 @@
  { USB_DEVICE(0x04CA, 0x3007) },
  { USB_DEVICE(0x04CA, 0x3008) },
  { USB_DEVICE(0x04CA, 0x300b) },
+ { USB_DEVICE(0x04CA, 0x300d) },
  { USB_DEVICE(0x0930, 0x0219) },
  { USB_DEVICE(0x0930, 0x0220) },
  { USB_DEVICE(0x0b05, 0x17d0) },
@@ -134,6 +135,7 @@
  { USB_DEVICE(0x04ca, 0x3007), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x04ca, 0x3008), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x04ca, 0x300b), .driver_info = BTUSB_ATH3012 },
+ { USB_DEVICE(0x04ca, 0x300d), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x0930, 0x0219), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x0930, 0x0220), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x0b05, 0x17d0), .driver_info = BTUSB_ATH3012 },

diff -urN ./linux-3.16.0/drivers/bluetooth/btusb.c /usr/src/ar9462-1.5.1/btusb.c
--- ./linux-3.16.0/drivers/bluetooth/btusb.c 2014-08-04 00:25:02.000000000 +0200
+++ /usr/src/ar9462-1.5.1/btusb.c 2014-11-19 21:12:46.646265890 +0100
@@ -157,6 +157,7 @@
  { USB_DEVICE(0x04ca, 0x3007), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x04ca, 0x3008), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x04ca, 0x300b), .driver_info = BTUSB_ATH3012 },
+ { USB_DEVICE(0x04ca, 0x300d), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x0930, 0x0219), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x0930, 0x0220), .driver_info = BTUSB_ATH3012 },
  { USB_DEVICE(0x0b05, 0x17d0), .driver_info = BTUSB_ATH3012 },

sudo dkms add -m ar9462 -v 1.5.1
sudo dkms build -m ar9462 -v 1.5.1
sudo dkms install -m ar9462 -v 1.5.1

(DKMS package in the same style/versioning as in the bug report above)

dkms status
ar9462, 1.5.1, 3.16.0-24-generic, x86_64: installed

Now the new output:

dmesg | egrep 'ath3|ar3|Bluet'
[ 2.787819] Bluetooth: Core ver 2.19
[ 2.787833] Bluetooth: HCI device and connection manager initialized
[ 2.787839] Bluetooth: HCI socket layer initialized
[ 2.787842] Bluetooth: L2CAP socket layer initialized
[ 2.787848] Bluetooth: SCO socket layer initialized
[ 2.793551] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 2.793554] Bluetooth: BNEP filters: protocol multicast
[ 2.793561] Bluetooth: BNEP socket layer initialized
[ 3.130779] Bluetooth: Patch file not found ar3k/AthrBT_0x11020100.dfu
[ 3.130783] Bluetooth: Loading patch file failed
[ 3.130788] ath3k: probe of 2-5:1.0 failed with error -12
[ 3.130823] usbcore: registered new interface driver ath3k
[ 9.776503] Bluetooth: RFCOMM TTY layer initialized
[ 9.776512] Bluetooth: RFCOMM socket layer initialized
[ 9.776517] Bluetooth: RFCOMM ver 1.11

My patch works, but just like in the bug report above, a Firmware file is missing:
AthrBT_0x11020100.dfu

I found it neither in linux-firmware (http://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/tree/ar3k)
nor elsewhere.

Wallcom (wallcom) on 2014-11-19
description: updated

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1394368

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: utopic
Joseph Salisbury (jsalisbury) wrote :

Can you provide some information on the status of the patch with regards to getting it merged upstream? Has it been sent upstream, what sort of feedback has it received, is it getting applied to a subsystem maintainer's tree, etc?

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Incomplete → Triaged
tags: added: kernel-da-key vivid
Wallcom (wallcom) on 2014-11-20
tags: added: ath3k bluetooth
tags: added: patch
Wallcom (wallcom) wrote :

The problem is, the fix won't work without the firmware "AthrBT_0x11020100.dfu".
I just found a Windows version of the firmware (http://driveragent.com/c/archive/f2ea5a6c/Qualcomm-Atheros-Communications-Bluetooth-Controller-software-update-released-in-January--2014?PHPSESSID=09f4763lvg0gd1s9qc3ap62kn2)

I removed the "patch" from the original post, because it isn't really a patch.
Instead, here is a dkms package which adds the ID in btusb.c and ath3k.c
After applying the package and adding the (currently) missing firmware files "AthrBT_0x11020100.dfu" (and probably ""ramps_0x11020100_40.dfu") to "lib/firmware/ar3k/", Bluetooth should work.

Wallcom (wallcom) on 2014-11-20
description: updated
affects: linux (Ubuntu) → linux-firmware (Ubuntu)
Chris J Arges (arges) on 2014-11-20
Changed in linux-firmware (Ubuntu):
assignee: nobody → Chris J Arges (arges)
Chris J Arges (arges) wrote :

If you can find a firmware source that also contains the licence information we can consider including it in Ubuntu.
Thanks!

Changed in linux-firmware (Ubuntu):
status: Triaged → Incomplete
Wallcom (wallcom) wrote :

Fix: After installing the dkms module, put this in "lib/firmware/ar3k/"

Wallcom (wallcom) wrote :

You also have to add this in "lib/firmware/ar3k/".

After a reboot Bluetooth was fully working for me.

Unfortunately, i can't find any sources including a license, I just extracted these from a Windows Update file.

Chris J Arges (arges) wrote :

Without knowing what license a firmware binary is we cannot include it in our distribution. Please post any links to a licence file in this bug if you find it and we can work on inclusion then.

Wallcom (wallcom) wrote :

I am aware of that, i just wanted to post the instructions and files to help other people fixing the bug temporarily.

Well all the other ar3k Firmware files are under this Redistribution license:
http://git.kernel.org/cgit/linux/kernel/git/firmware/linux-firmware.git/tree/LICENCE.atheros_firmware

And as AthrBT_0x11020100.dfu is just a small version change from AthrBT_0x11020000.dfu (which is already included) you can assume that it is under the same license.
But i guess assumptions are not enough ...

 So the only way is to ask Qualcomm to provide the Firmware with a licence file?

Wallcom (wallcom) wrote :

Now, with the support for this ID added, a new Problem exists; the same as with many other ath3k users:
It only works sporadically: Works -> Reboot - > Doesn't work -> After a few reboots it works again

When it doesnt work:
[ 3.657288] usbcore: registered new interface driver ath3k
[ 4.025700] usb 2-5: new full-speed USB device number 6 using xhci_hcd
[ 4.154563] usb 2-5: New USB device found, idVendor=04ca, idProduct=300d
[ 4.154565] usb 2-5: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[ 4.710941] usbcore: registered new interface driver rtsx_usb
[ 7.155744] Bluetooth: Error in firmware loading err = -110,len = 448, size = 4096
[ 7.155756] Bluetooth: Loading patch file failed
[ 7.155765] ath3k: probe of 2-5:1.0 failed with error -110
[ 13.128354] Bluetooth: RFCOMM TTY layer initialized
[ 13.128364] Bluetooth: RFCOMM socket layer initialized
[ 13.128369] Bluetooth: RFCOMM ver 1.11
[ 15.039498] usb 2-5: reset full-speed USB device number 5 using xhci_hcd
[ 15.039537] xhci_hcd 0000:00:14.0: Setup ERROR: setup context command for slot 4.
[ 15.039542] usb 2-5: hub failed to enable device, error -22
[ 15.151621] usb 2-5: reset full-speed USB device number 5 using xhci_hcd
[ 15.151645] xhci_hcd 0000:00:14.0: Setup ERROR: setup context command for slot 4.
[ 15.151651] usb 2-5: hub failed to enable device, error -22
[ 15.263518] usb 2-5: reset full-speed USB device number 5 using xhci_hcd
[ 15.280189] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff8802496fdc00
[ 15.280193] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff8802496fdc90
[ 15.280195] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff8802496fdc48
[ 15.280197] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff88009b164348
[ 15.280198] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff88009b164300

Just like in these (still open) Bug Reports:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1260825
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1336179

Luis Alvarado (luisalvarado) wrote :

In my case, with the Asus Z87-Pro motherboard (With the latest firmware) I am having similar problems like Wallcom mentioned. The wireless (For G, N or AC) works randomly. Reboot and it works. Reboot and it does not.

The problem gets worse if I activate the Bluetooth where it creates a kind of weird issue with Network Manager where I can't connect to any wifi AP.

Vlad Ivanov (vlad-mbx) wrote :

I have this bug on Acer Aspire V3-371-59W7 with kernel 3.16.0-28-generic.

Intalling DKMS package doesn't help, dmesg contains fimware loading error (same as posted above). Also, bluetooth works after rebooting from Windows.

I got pointed here from: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1425252

As suggested also above I copied both these files from Windows' (Program Files\Common Files\QCA-Bluetooth) to Ubuntu's /lib/firmware/ar3k -folder:
- AthrBT_0x11020100.dfu
- ramps_0x11020100_40.dfu

With these files in place the Bluetooth is working on both of these experimental kernels: (for more info see bug 1425252, link above)
- 3.18.0-14-generic #15 SMP Fri Feb 27 18:38:10 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
- 4.0.0-040000rc1-generic #201502261652 SMP Thu Feb 26 16:56:29 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Bluetooth still does not work on published kernels:
- 3.16.0-31-generic #41~lp1352821v1 SMP Fri Feb 20 20:52:34 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux OR
- 3.16.0-30-generic #40-Ubuntu SMP Mon Jan 12 22:06:37 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Now I'm also facing the same Bluetooth works / does-not-work after reboot issue. At least bluetooth mouse doesn't automatically reconnect after restart. Instead mouse text "flickers" in Bluetooth GUI screen. After clicking "ON" button (on bluetooth gui) for several times the bluetooth mouse might reconnect - or not.

Also if I click "Connection ON" to mouse from underneath the Bluetooth icon on system tray it seems to try to get the connection establihed as the bluetooth icon's lock symbol goes ON and OFF repeatedly.

System: Acer Aspire V3-371-79RJ and Ubuntu 14.10.

Axel (gonzalezs-axel) wrote :

Hi, I've followed all the steps and bluetooth is still idle. I've set up the second kernel. Any help? Thanks!

Pilot6 (hanipouspilot) wrote :

Please add output of

sudo sudo awk -vRS= '/300d/' /sys/kernel/debug/usb/devices

and I will send a patch upstream.

Wallcom (wallcom) wrote :

Kernel: 3.16.0-41-generic

After installing the package with new firmware files:

Output of "dmesg | egrep 'ath3|ar3|Bluet'":

[ 2.557837] Bluetooth: Core ver 2.19
[ 2.557854] Bluetooth: HCI device and connection manager initialized
[ 2.557861] Bluetooth: HCI socket layer initialized
[ 2.557863] Bluetooth: L2CAP socket layer initialized
[ 2.557870] Bluetooth: SCO socket layer initialized
[ 2.570170] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 2.570173] Bluetooth: BNEP filters: protocol multicast
[ 2.570180] Bluetooth: BNEP socket layer initialized
[ 2.579359] Bluetooth: RFCOMM TTY layer initialized
[ 2.579370] Bluetooth: RFCOMM socket layer initialized
[ 2.579374] Bluetooth: RFCOMM ver 1.11

Output of "awk -vRS= '/300d/' /sys/kernel/debug/usb/devices":

T: Bus=02 Lev=01 Prnt=01 Port=04 Cnt=03 Dev#= 5 Spd=12 MxCh= 0
D: Ver= 1.10 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=04ca ProdID=300d Rev= 0.01
C:* #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=100mA
I:* If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=81(I) Atr=03(Int.) MxPS= 16 Ivl=1ms
E: Ad=82(I) Atr=02(Bulk) MxPS= 64 Ivl=0ms
E: Ad=02(O) Atr=02(Bulk) MxPS= 64 Ivl=0ms
I:* If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 0 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 0 Ivl=1ms
I: If#= 1 Alt= 1 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 9 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 9 Ivl=1ms
I: If#= 1 Alt= 2 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 17 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 17 Ivl=1ms
I: If#= 1 Alt= 3 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 25 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 25 Ivl=1ms
I: If#= 1 Alt= 4 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 33 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 33 Ivl=1ms
I: If#= 1 Alt= 5 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
E: Ad=83(I) Atr=01(Isoc) MxPS= 49 Ivl=1ms
E: Ad=03(O) Atr=01(Isoc) MxPS= 49 Ivl=1ms

Still not working ...

Pilot6 (hanipouspilot) wrote :

@Wallcom

Does it work with patched bt? You mentioned in https://bugs.launchpad.net/ubuntu/+source/linux-firmware/+bug/1394368/comments/4 that it does.

I will send the patch upsteram and it will get into stable kernels. But firmware should be installed either way.
Only firmware won't work.

Pilot6 (hanipouspilot) wrote :

Patch has been sent and already applied to bluetooth-next.

It should appear in kernel 4.2 and then be backported to all Ubuntu supported kernels.

https://lkml.org/lkml/2015/6/18/596

Changed in linux-firmware (Ubuntu):
assignee: Chris J Arges (arges) → Pilot6 (hanipouspilot)
Pilot6 (hanipouspilot) on 2015-06-18
Changed in linux-firmware (Ubuntu):
status: Incomplete → In Progress
affects: linux-firmware (Ubuntu) → linux (Ubuntu)
Wallcom (wallcom) wrote :

Sorry, i forgot on which machine i was on.

With the correct firmware and the patch described in the initial post (thanks for sending it upstream!),
it still hat the loading bug as described in https://bugs.launchpad.net/ubuntu/+source/linux-firmware/+bug/1394368/comments/10

dmesg | egrep 'ath3|ar3|Bluet'
[ 3.198102] Bluetooth: Core ver 2.19
[ 3.198140] Bluetooth: HCI device and connection manager initialized
[ 3.198147] Bluetooth: HCI socket layer initialized
[ 3.198149] Bluetooth: L2CAP socket layer initialized
[ 3.198157] Bluetooth: SCO socket layer initialized
[ 3.205334] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 3.205336] Bluetooth: BNEP filters: protocol multicast
[ 3.205342] Bluetooth: BNEP socket layer initialized
[ 3.213183] Bluetooth: RFCOMM TTY layer initialized
[ 3.213195] Bluetooth: RFCOMM socket layer initialized
[ 3.213201] Bluetooth: RFCOMM ver 1.11
[ 3.295666] usbcore: registered new interface driver ath3k
[ 6.794243] Bluetooth: Error in firmware loading err = -110,len = 448, size = 4096
[ 6.794265] Bluetooth: Loading patch file failed
[ 6.794271] ath3k: probe of 2-5:1.0 failed with error -110

Pilot6 (hanipouspilot) on 2015-06-18
Changed in linux-firmware (Ubuntu):
status: New → Confirmed
Pilot6 (hanipouspilot) wrote :

Let's wait till it gets into mainline kernel, it may be soon to 4.1. Then you will test it and then I will report it to kernel maintainers if it persists.

Changed in linux-firmware (Ubuntu):
importance: Undecided → Medium
status: Confirmed → In Progress
assignee: nobody → Pilot6 (hanipouspilot)
Pilot6 (hanipouspilot) wrote :

@Alberto I can't do anything with firmware. Only kernel patch has been addressed. But firmware is needed too.

Changed in linux-firmware (Ubuntu):
status: In Progress → Confirmed
assignee: Pilot6 (hanipouspilot) → nobody
Andy Whitcroft (apw) on 2015-07-23
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.1.0-2.2

---------------
linux (4.1.0-2.2) wily; urgency=low

  [ Tim Gardner ]

  * rebase to v4.1.3
  * [Config] Add i40e[vf] to d-i
    - LP: #1476393

  [ Upstream Kernel Changes ]

  * rebase to v4.1.3
    - LP: #1427680
    - LP: #1462614
    - LP: #1394368

 -- Tim Gardner <email address hidden> Wed, 22 Jul 2015 09:13:02 -0600

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Luis Henriques (henrix) on 2015-07-28
Changed in linux (Ubuntu Vivid):
status: New → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-vivid' to 'verification-done-vivid'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-vivid
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-firmware (Ubuntu Vivid):
status: New → Confirmed
Brad Figg (brad-figg) wrote :

Fix came in via stable upstream release.

tags: added: verification-done-trusty verification-done-vivid
removed: verification-needed-trusty verification-needed-vivid

This patch makes Ubuntu unstable on my computer. I commented on bug
#1397885
to describe the situation.

Brad Figg (brad-figg) wrote :

Bug #1397885 is a duplicate of this bug. If the fix is causing you issues you should be commenting here and not there.

What issues are you seeing. Saying that it is "unstable" could mean anything.

Raphaël Jakse (raphael-jakse) wrote :
Download full text (3.5 KiB)

I commented on the duplicate because I think the situation is a bit
different.
This patch simply fixes #1394368, that is, for many people who have the
0x04ca:0x300d device.

However, the same patch makes the same device enter a disconnect /
reconnect infinite loop in my specific laptop model (Acer Aspire
V3è371-31KW). The original poster of the duplicate, #1397885, also has
an Acer Aspire and might be affected by the same issue (not sure about
it). Sorry about commenting the duplicate if it was wrong.

On my laptop, the patch makes the firmware load into the device and it
begins an infinite disconnect/reconnect cycle. The boot makes ages,
lsusb freezes.

Quoting myself
(https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1397885/comments/22) :

"Under your kernel, the whole computer runs unstable. the login manager
and X won't always start, the system takes ages to start, lsusb feezes
and I get a log of the following with journalctl -xe.

  mai 02 19:21:00 white kernel: usb 1-5: new full-speed USB device
number 49 using xhci_hcd
mai 02 19:21:01 white kernel: usb 1-5: New USB device found,
idVendor=04ca, idProduct=300d
mai 02 19:21:01 white kernel: usb 1-5: New USB device strings: Mfr=0,
Product=0, SerialNumber=0
mai 02 19:21:01 white kernel: usb 1-5: USB disconnect, device number 49
mai 02 19:21:01 white kernel: usb 1-5: new full-speed USB device number
50 using xhci_hcd
mai 02 19:21:01 white kernel: usb 1-5: New USB device found,
idVendor=04ca, idProduct=300d
mai 02 19:21:01 white kernel: usb 1-5: New USB device strings: Mfr=0,
Product=0, SerialNumber=0
mai 02 19:21:01 white kernel: usb 1-5: USB disconnect, device number 50
mai 02 19:21:01 white kernel: usb 1-5: new full-speed USB device number
51 using xhci_hcd
mai 02 19:21:02 white kernel: usb 1-5: New USB device found,
idVendor=04ca, idProduct=300d
mai 02 19:21:02 white kernel: usb 1-5: New USB device strings: Mfr=0,
Product=0, SerialNumber=0
mai 02 19:21:02 white kernel: usb 1-5: USB disconnect, device number 51
mai 02 19:21:02 white kernel: usb 1-5: new full-speed USB device number
52 using xhci_hcd
mai 02 19:21:02 white kernel: usb 1-5: New USB device found,
idVendor=04ca, idProduct=300d
mai 02 19:21:02 white kernel: usb 1-5: New USB device strings: Mfr=0,
Product=0, SerialNumber=0
mai 02 19:21:02 white kernel: usb 1-5: USB disconnect, device number 52
mai 02 19:21:03 white kernel: usb 1-5: new full-speed USB device number
53 using xhci_hcd
mai 02 19:21:03 white kernel: usb 1-5: New USB device found,
idVendor=04ca, idProduct=300d
mai 02 19:21:03 white kernel: usb 1-5: New USB device strings: Mfr=0,
Product=0, SerialNumber=0
mai 02 19:21:03 white kernel: usb 1-5: USB disconnect, device number 53
mai 02 19:21:03 white kernel: usb 1-5: new full-speed USB device number
54 using xhci_hcd
mai 02 19:21:03 white kernel: usb 1-5: New USB device found,
idVendor=04ca, idProduct=300d
mai 02 19:21:03 white kernel: usb 1-5: New USB device strings: Mfr=0,
Product=0, SerialNumber=0"

I made a workaround which makes the device work by loading the patched
modules, unload them and load the unpatched ones. The firmware being
loaded, the unpatched modules are able to drive t...

Read more...

Pilot6 (hanipouspilot) wrote :

This wireless module does not work without this patch anyway. So the patch is not a regression.
If some specific laptops have your issue, it nay be fixed by disabling wireless adapter in bios or locking it by a hardware or software switch.

This is actually a bug. I think it is worth creating a separate report for it.

You can install lernel from proposed and report a new bug.

Raphaël Jakse (raphael-jakse) wrote :

The patch in my opinion is a regression for some specific laptops like
mine. We go from "everything works except Bluetooth" to "The system
works badly, and Bluetooth still doesn't work".

Someone who doesn't know the bug can't even guess easily this is caused
by the Bluetooth driver (if (s)he even know what is a driver, and
messing with kernel modules and/or bios is not an option for most people).

I will install the new kernel and report a new bug. I think the new
report should get a "critical" level. This update will break existing
installations, which should never happen.

Le 10/08/2015 22:07, Pilot6 a écrit :
> This wireless module does not work without this patch anyway. So the patch is not a regression.
> If some specific laptops have your issue, it nay be fixed by disabling wireless adapter in bios or locking it by a hardware or software switch.
>
> This is actually a bug. I think it is worth creating a separate report
> for it.
>
> You can install lernel from proposed and report a new bug.
>

--
Raphaël Jakse

Pilot6 (hanipouspilot) wrote :
Download full text (6.0 KiB)

I agree. Maybe it makes sense to remove this patch, until the issue is
sorted out.
I can add a dkms module to ppa for those who are not affected.

@Brad What do you think?

2015-08-11 0:43 GMT+03:00 Raphaël Jakse <email address hidden>:
> The patch in my opinion is a regression for some specific laptops like
> mine. We go from "everything works except Bluetooth" to "The system
> works badly, and Bluetooth still doesn't work".
>
> Someone who doesn't know the bug can't even guess easily this is caused
> by the Bluetooth driver (if (s)he even know what is a driver, and
> messing with kernel modules and/or bios is not an option for most people).
>
> I will install the new kernel and report a new bug. I think the new
> report should get a "critical" level. This update will break existing
> installations, which should never happen.
>
> Le 10/08/2015 22:07, Pilot6 a écrit :
>> This wireless module does not work without this patch anyway. So the patch is not a regression.
>> If some specific laptops have your issue, it nay be fixed by disabling wireless adapter in bios or locking it by a hardware or software switch.
>>
>> This is actually a bug. I think it is worth creating a separate report
>> for it.
>>
>> You can install lernel from proposed and report a new bug.
>>
>
>
> --
> Raphaël Jakse
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1394368
>
> Title:
> Bluetooth with AR9462 doesn't work (New ID /Firmware)
>
> Status in linux package in Ubuntu:
> Fix Released
> Status in linux-firmware package in Ubuntu:
> Confirmed
> Status in linux source package in Vivid:
> Fix Committed
> Status in linux-firmware source package in Vivid:
> Confirmed
>
> Bug description:
> This is (kind of) a duplicate of:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884
> (please read)
>
> I can't use Bluetooth with my AR9462 WLAN/BT-Combo.
> In the link above, it has been fixed, but not for my Adapter ID/Firmware:
>
> System:
> Ubuntu 14.10 utopic 64bit - 3.16.0-24-generic x86_64
>
> lspci -nnk
> 02:00.0 Network controller [0280]: Qualcomm Atheros AR9462
> Wireless Network Adapter [168c:0034] (rev 01)
> Subsystem: Lite-On Communications Inc Device [11ad:0802]
> Kernel driver in use: ath9k
>
> lsusb (identified Bluetooth Device)
> Bus 002 Device 003: ID 04ca:300d Lite-On Technology Corp.
>
> ath9k.conf
> options ath9k btcoex_enable=1
>
> The "04ca:300d" ID is not in the Kernel, so i added it via dkms.
>
> I took ath3k.c and btusb.c out of the 3.16.0-24-generic source files
> and changed them:
>
> diff -urN ./linux-3.16.0/drivers/bluetooth/ath3k.c /usr/src/ar9462-1.5.1/ath3k.c
> --- ./linux-3.16.0/drivers/bluetooth/ath3k.c 2014-08-04 00:25:02.000000000 +0200
> +++ /usr/src/ar9462-1.5.1/ath3k.c 2014-11-19 21:12:46.646265890 +0100
> @@ -85,6 +85,7 @@
> { USB_DEVICE(0x04CA, 0x3007) },
> { USB_DEVICE(0x04CA, 0x3008) },
> { USB_DEVICE(0x04CA, 0x300b) },
> + { USB_DEVICE(0x04CA, 0x300d) },
> { USB_DEVICE(0x0930, 0x0219) },
> { USB_DEVICE(0x0930, 0x0220) },
> { USB_DEVICE(0x0b05, 0x17d0) },
> ...

Read more...

Brad Figg (brad-figg) wrote :

@Pilot6

I believe this may be hurting more people than it is helping. The correct action is to revert this patch and produce new kernels.

Pilot6 (hanipouspilot) wrote :
Download full text (5.0 KiB)

I agree. It is weird that upstream they did not notice the report.
I hope that they will notice it now, because I am the patch author.
I will send revert patches.

2015-08-11 1:15 GMT+03:00 Brad Figg <email address hidden>:
> @Pilot6
>
> I believe this may be hurting more people than it is helping. The
> correct action is to revert this patch and produce new kernels.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1394368
>
> Title:
> Bluetooth with AR9462 doesn't work (New ID /Firmware)
>
> Status in linux package in Ubuntu:
> Fix Released
> Status in linux-firmware package in Ubuntu:
> Confirmed
> Status in linux source package in Vivid:
> Fix Committed
> Status in linux-firmware source package in Vivid:
> Confirmed
>
> Bug description:
> This is (kind of) a duplicate of:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884
> (please read)
>
> I can't use Bluetooth with my AR9462 WLAN/BT-Combo.
> In the link above, it has been fixed, but not for my Adapter ID/Firmware:
>
> System:
> Ubuntu 14.10 utopic 64bit - 3.16.0-24-generic x86_64
>
> lspci -nnk
> 02:00.0 Network controller [0280]: Qualcomm Atheros AR9462
> Wireless Network Adapter [168c:0034] (rev 01)
> Subsystem: Lite-On Communications Inc Device [11ad:0802]
> Kernel driver in use: ath9k
>
> lsusb (identified Bluetooth Device)
> Bus 002 Device 003: ID 04ca:300d Lite-On Technology Corp.
>
> ath9k.conf
> options ath9k btcoex_enable=1
>
> The "04ca:300d" ID is not in the Kernel, so i added it via dkms.
>
> I took ath3k.c and btusb.c out of the 3.16.0-24-generic source files
> and changed them:
>
> diff -urN ./linux-3.16.0/drivers/bluetooth/ath3k.c /usr/src/ar9462-1.5.1/ath3k.c
> --- ./linux-3.16.0/drivers/bluetooth/ath3k.c 2014-08-04 00:25:02.000000000 +0200
> +++ /usr/src/ar9462-1.5.1/ath3k.c 2014-11-19 21:12:46.646265890 +0100
> @@ -85,6 +85,7 @@
> { USB_DEVICE(0x04CA, 0x3007) },
> { USB_DEVICE(0x04CA, 0x3008) },
> { USB_DEVICE(0x04CA, 0x300b) },
> + { USB_DEVICE(0x04CA, 0x300d) },
> { USB_DEVICE(0x0930, 0x0219) },
> { USB_DEVICE(0x0930, 0x0220) },
> { USB_DEVICE(0x0b05, 0x17d0) },
> @@ -134,6 +135,7 @@
> { USB_DEVICE(0x04ca, 0x3007), .driver_info = BTUSB_ATH3012 },
> { USB_DEVICE(0x04ca, 0x3008), .driver_info = BTUSB_ATH3012 },
> { USB_DEVICE(0x04ca, 0x300b), .driver_info = BTUSB_ATH3012 },
> + { USB_DEVICE(0x04ca, 0x300d), .driver_info = BTUSB_ATH3012 },
> { USB_DEVICE(0x0930, 0x0219), .driver_info = BTUSB_ATH3012 },
> { USB_DEVICE(0x0930, 0x0220), .driver_info = BTUSB_ATH3012 },
> { USB_DEVICE(0x0b05, 0x17d0), .driver_info = BTUSB_ATH3012 },
>
> diff -urN ./linux-3.16.0/drivers/bluetooth/btusb.c /usr/src/ar9462-1.5.1/btusb.c
> --- ./linux-3.16.0/drivers/bluetooth/btusb.c 2014-08-04 00:25:02.000000000 +0200
> +++ /usr/src/ar9462-1.5.1/btusb.c 2014-11-19 21:12:46.646265890 +0100
> @@ -157,6 +157,7 @@
> { USB_DEVICE(0x04ca, 0x3007), .driver_info = BTUSB_ATH3012 },
> { USB_DEVICE(0x04ca, 0x3008), .driver_info = BTUSB_ATH3012 },
> { USB_DEVICE(0x04ca,...

Read more...

Raphaël Jakse (raphael-jakse) wrote :

I'm about to send a launchpad bug against linux-image-3.19.0-26-generic
describing the bug, attaching the mail I sent to the maintainer. Should
I, even though the patch is going to be reverted?

Should I send a new mail to the maintainers?

Le 11/08/2015 00:28, Pilot6 a écrit :
> I agree. It is weird that upstream they did not notice the report.
> I hope that they will notice it now, because I am the patch author.
> I will send revert patches.
>
--
Raphaël Jakse

Pilot6 (hanipouspilot) wrote :

Raphael,

Can you test this issue with kernel 4.2? Maybe there is a fix there for loading firmware.

tags: added: verification-failed-vivid
removed: verification-done-vivid
Pilot6 (hanipouspilot) wrote :

I sent it upstream. I hope the notice it this time.
I cannot cinfirm this bug for the latest kernels, but I hope to get some response.

https://lkml.org/lkml/2015/8/11/311

Raphaël Jakse (raphael-jakse) wrote :

Just tested mainline 4.2 rc6, still affected by the same problem.

Thank you very much for your help, and thank you for your decision to
report this fix.

--
Raphaël Jakse

Pilot6 (hanipouspilot) wrote :

Raphael,

Can you remove the firmware file? Do you still have problems?

Raphaël Jakse (raphael-jakse) wrote :

If I remove the firmware, my system boots correctly and I get :

[ 16.210927] Bluetooth: Patch file not found ar3k/AthrBT_0x11020100.dfu
[ 16.210930] Bluetooth: Loading patch file failed

Le 11/08/2015 21:28, Pilot6 a écrit :
> Raphael,
>
> Can you remove the firmware file? Do you still have problems?
>

--
Raphaël Jakse

Pilot6 (hanipouspilot) wrote :
Download full text (5.2 KiB)

It means that common Ubuntu users will not have problems if they
manually do not install that firmware.

2015-08-11 23:43 GMT+03:00 Raphaël Jakse <email address hidden>:
> If I remove the firmware, my system boots correctly and I get :
>
> [ 16.210927] Bluetooth: Patch file not found ar3k/AthrBT_0x11020100.dfu
> [ 16.210930] Bluetooth: Loading patch file failed
>
>
> Le 11/08/2015 21:28, Pilot6 a écrit :
>> Raphael,
>>
>> Can you remove the firmware file? Do you still have problems?
>>
>
>
> --
> Raphaël Jakse
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1394368
>
> Title:
> Bluetooth with AR9462 doesn't work (New ID /Firmware)
>
> Status in linux package in Ubuntu:
> Fix Released
> Status in linux-firmware package in Ubuntu:
> Confirmed
> Status in linux source package in Vivid:
> Fix Committed
> Status in linux-firmware source package in Vivid:
> Confirmed
>
> Bug description:
> This is (kind of) a duplicate of:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884
> (please read)
>
> I can't use Bluetooth with my AR9462 WLAN/BT-Combo.
> In the link above, it has been fixed, but not for my Adapter ID/Firmware:
>
> System:
> Ubuntu 14.10 utopic 64bit - 3.16.0-24-generic x86_64
>
> lspci -nnk
> 02:00.0 Network controller [0280]: Qualcomm Atheros AR9462
> Wireless Network Adapter [168c:0034] (rev 01)
> Subsystem: Lite-On Communications Inc Device [11ad:0802]
> Kernel driver in use: ath9k
>
> lsusb (identified Bluetooth Device)
> Bus 002 Device 003: ID 04ca:300d Lite-On Technology Corp.
>
> ath9k.conf
> options ath9k btcoex_enable=1
>
> The "04ca:300d" ID is not in the Kernel, so i added it via dkms.
>
> I took ath3k.c and btusb.c out of the 3.16.0-24-generic source files
> and changed them:
>
> diff -urN ./linux-3.16.0/drivers/bluetooth/ath3k.c /usr/src/ar9462-1.5.1/ath3k.c
> --- ./linux-3.16.0/drivers/bluetooth/ath3k.c 2014-08-04 00:25:02.000000000 +0200
> +++ /usr/src/ar9462-1.5.1/ath3k.c 2014-11-19 21:12:46.646265890 +0100
> @@ -85,6 +85,7 @@
> { USB_DEVICE(0x04CA, 0x3007) },
> { USB_DEVICE(0x04CA, 0x3008) },
> { USB_DEVICE(0x04CA, 0x300b) },
> + { USB_DEVICE(0x04CA, 0x300d) },
> { USB_DEVICE(0x0930, 0x0219) },
> { USB_DEVICE(0x0930, 0x0220) },
> { USB_DEVICE(0x0b05, 0x17d0) },
> @@ -134,6 +135,7 @@
> { USB_DEVICE(0x04ca, 0x3007), .driver_info = BTUSB_ATH3012 },
> { USB_DEVICE(0x04ca, 0x3008), .driver_info = BTUSB_ATH3012 },
> { USB_DEVICE(0x04ca, 0x300b), .driver_info = BTUSB_ATH3012 },
> + { USB_DEVICE(0x04ca, 0x300d), .driver_info = BTUSB_ATH3012 },
> { USB_DEVICE(0x0930, 0x0219), .driver_info = BTUSB_ATH3012 },
> { USB_DEVICE(0x0930, 0x0220), .driver_info = BTUSB_ATH3012 },
> { USB_DEVICE(0x0b05, 0x17d0), .driver_info = BTUSB_ATH3012 },
>
> diff -urN ./linux-3.16.0/drivers/bluetooth/btusb.c /usr/src/ar9462-1.5.1/btusb.c
> --- ./linux-3.16.0/drivers/bluetooth/btusb.c 2014-08-04 00:25:02.000000000 +0200
> +++ /usr/src/ar9462-1.5.1/btusb.c 2014-11-19 21:12:46.646265890 +0100
> @@ -157,6 +157,7 @@
> { USB_...

Read more...

Raphaël Jakse (raphael-jakse) wrote :
Download full text (6.0 KiB)

All right, so if this file isn't added to a package like linux-firmware
or linux-firmware-non-free, this seems to ok (and even better) to let
the fix reach users by upgrade. This will simplify the situation to any
user who don't have the problem I have.

I didn't remember that I added this firmware file by myself, I'm sorry I
made you revert your patch which finally don't cause any trouble to
users who didn't modify their system.

Do you know if there is any plan to include this firmware in Ubuntu
repositories ?

Le 11/08/2015 22:53, Pilot6 a écrit :
> It means that common Ubuntu users will not have problems if they
> manually do not install that firmware.
>
> 2015-08-11 23:43 GMT+03:00 Raphaël Jakse <email address hidden>:
>> If I remove the firmware, my system boots correctly and I get :
>>
>> [ 16.210927] Bluetooth: Patch file not found ar3k/AthrBT_0x11020100.dfu
>> [ 16.210930] Bluetooth: Loading patch file failed
>>
>>
>> Le 11/08/2015 21:28, Pilot6 a écrit :
>>> Raphael,
>>>
>>> Can you remove the firmware file? Do you still have problems?
>>>
>>
>> --
>> Raphaël Jakse
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/1394368
>>
>> Title:
>> Bluetooth with AR9462 doesn't work (New ID /Firmware)
>>
>> Status in linux package in Ubuntu:
>> Fix Released
>> Status in linux-firmware package in Ubuntu:
>> Confirmed
>> Status in linux source package in Vivid:
>> Fix Committed
>> Status in linux-firmware source package in Vivid:
>> Confirmed
>>
>> Bug description:
>> This is (kind of) a duplicate of:
>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884
>> (please read)
>>
>> I can't use Bluetooth with my AR9462 WLAN/BT-Combo.
>> In the link above, it has been fixed, but not for my Adapter ID/Firmware:
>>
>> System:
>> Ubuntu 14.10 utopic 64bit - 3.16.0-24-generic x86_64
>>
>> lspci -nnk
>> 02:00.0 Network controller [0280]: Qualcomm Atheros AR9462
>> Wireless Network Adapter [168c:0034] (rev 01)
>> Subsystem: Lite-On Communications Inc Device [11ad:0802]
>> Kernel driver in use: ath9k
>>
>> lsusb (identified Bluetooth Device)
>> Bus 002 Device 003: ID 04ca:300d Lite-On Technology Corp.
>>
>> ath9k.conf
>> options ath9k btcoex_enable=1
>>
>> The "04ca:300d" ID is not in the Kernel, so i added it via dkms.
>>
>> I took ath3k.c and btusb.c out of the 3.16.0-24-generic source files
>> and changed them:
>>
>> diff -urN ./linux-3.16.0/drivers/bluetooth/ath3k.c /usr/src/ar9462-1.5.1/ath3k.c
>> --- ./linux-3.16.0/drivers/bluetooth/ath3k.c 2014-08-04 00:25:02.000000000 +0200
>> +++ /usr/src/ar9462-1.5.1/ath3k.c 2014-11-19 21:12:46.646265890 +0100
>> @@ -85,6 +85,7 @@
>> { USB_DEVICE(0x04CA, 0x3007) },
>> { USB_DEVICE(0x04CA, 0x3008) },
>> { USB_DEVICE(0x04CA, 0x300b) },
>> + { USB_DEVICE(0x04CA, 0x300d) },
>> { USB_DEVICE(0x0930, 0x0219) },
>> { USB_DEVICE(0x0930, 0x0220) },
>> { USB_DEVICE(0x0b05, 0x17d0) },
>> @@ -134,6 +135,7 @@
>> { USB_DEVICE(0x04ca, 0x3007), .driver_info = BTUSB_ATH3012 },
>> { USB_DEVICE(...

Read more...

Pilot6 (hanipouspilot) wrote :
Download full text (11.2 KiB)

The problem is that we cannot control when the firmware is added. And
it is hard to track it. It is not added because of legal reasons.
There is no a driver package with the firmware in an acceptable format
with a distribution license. I think that it should be reverted either
way.
But the maintainers will decide. I wrote about that too.

2015-08-12 0:13 GMT+03:00 Raphaël Jakse <email address hidden>:
> All right, so if this file isn't added to a package like linux-firmware
> or linux-firmware-non-free, this seems to ok (and even better) to let
> the fix reach users by upgrade. This will simplify the situation to any
> user who don't have the problem I have.
>
> I didn't remember that I added this firmware file by myself, I'm sorry I
> made you revert your patch which finally don't cause any trouble to
> users who didn't modify their system.
>
> Do you know if there is any plan to include this firmware in Ubuntu
> repositories ?
>
> Le 11/08/2015 22:53, Pilot6 a écrit :
>> It means that common Ubuntu users will not have problems if they
>> manually do not install that firmware.
>>
>> 2015-08-11 23:43 GMT+03:00 Raphaël Jakse <email address hidden>:
>>> If I remove the firmware, my system boots correctly and I get :
>>>
>>> [ 16.210927] Bluetooth: Patch file not found ar3k/AthrBT_0x11020100.dfu
>>> [ 16.210930] Bluetooth: Loading patch file failed
>>>
>>>
>>> Le 11/08/2015 21:28, Pilot6 a écrit :
>>>> Raphael,
>>>>
>>>> Can you remove the firmware file? Do you still have problems?
>>>>
>>>
>>> --
>>> Raphaël Jakse
>>>
>>> --
>>> You received this bug notification because you are subscribed to the bug
>>> report.
>>> https://bugs.launchpad.net/bugs/1394368
>>>
>>> Title:
>>> Bluetooth with AR9462 doesn't work (New ID /Firmware)
>>>
>>> Status in linux package in Ubuntu:
>>> Fix Released
>>> Status in linux-firmware package in Ubuntu:
>>> Confirmed
>>> Status in linux source package in Vivid:
>>> Fix Committed
>>> Status in linux-firmware source package in Vivid:
>>> Confirmed
>>>
>>> Bug description:
>>> This is (kind of) a duplicate of:
>>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1024884
>>> (please read)
>>>
>>> I can't use Bluetooth with my AR9462 WLAN/BT-Combo.
>>> In the link above, it has been fixed, but not for my Adapter ID/Firmware:
>>>
>>> System:
>>> Ubuntu 14.10 utopic 64bit - 3.16.0-24-generic x86_64
>>>
>>> lspci -nnk
>>> 02:00.0 Network controller [0280]: Qualcomm Atheros AR9462
>>> Wireless Network Adapter [168c:0034] (rev 01)
>>> Subsystem: Lite-On Communications Inc Device [11ad:0802]
>>> Kernel driver in use: ath9k
>>>
>>> lsusb (identified Bluetooth Device)
>>> Bus 002 Device 003: ID 04ca:300d Lite-On Technology Corp.
>>>
>>> ath9k.conf
>>> options ath9k btcoex_enable=1
>>>
>>> The "04ca:300d" ID is not in the Kernel, so i added it via dkms.
>>>
>>> I took ath3k.c and btusb.c out of the 3.16.0-24-generic source files
>>> and changed them:
>>>
>>> diff -urN ./linux-3.16.0/drivers/bluetooth/ath3k.c /usr/src/ar9462-1.5.1/ath3k.c
>>> --- ./linux-3.16.0/drivers/bluetooth/ath3k.c 2014-08-04 00:25:02.000000000 +0200
>>> +++ /us...

Launchpad Janitor (janitor) wrote :
Download full text (30.6 KiB)

This bug was fixed in the package linux - 3.19.0-26.28

---------------
linux (3.19.0-26.28) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1483630

  [ Upstream Kernel Changes ]

  * Revert "Bluetooth: ath3k: Add support of 04ca:300d AR3012 device"

linux (3.19.0-26.27) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1479055
  * [Config] updateconfigs for 3.19.8-ckt4 stable update

  [ Chris J Arges ]

  * [Config] Add MTD_POWERNV_FLASH and OPAL_PRD
    - LP: #1464560

  [ Mika Kuoppala ]

  * SAUCE: i915_bpo: drm/i915: Fix divide by zero on watermark update
    - LP: #1473175

  [ Tim Gardner ]

  * [Config] ACORN_PARTITION=n
    - LP: #1453117
  * [Config] Add i40e[vf] to d-i
    - LP: #1476393

  [ Timo Aaltonen ]

  * SAUCE: i915_bpo: Rebase to v4.2-rc3
    - LP: #1473175
  * SAUCE: i915_bpo: Revert "mm/fault, drm/i915: Use pagefault_disabled()
    to check for disabled pagefaults"
    - LP: #1473175
  * SAUCE: i915_bpo: Revert "drm: i915: Port to new backlight interface
    selection API"
    - LP: #1473175

  [ Upstream Kernel Changes ]

  * Revert "tools/vm: fix page-flags build"
    - LP: #1473547
  * Revert "ALSA: hda - Add mute-LED mode control to Thinkpad"
    - LP: #1473547
  * Revert "drm/radeon: adjust pll when audio is not enabled"
    - LP: #1473547
  * Revert "crypto: talitos - convert to use be16_add_cpu()"
    - LP: #1479048
  * module: Call module notifier on failure after complete_formation()
    - LP: #1473547
  * gpio: gpio-kempld: Fix get_direction return value
    - LP: #1473547
  * ARM: dts: imx27: only map 4 Kbyte for fec registers
    - LP: #1473547
  * ARM: 8356/1: mm: handle non-pmd-aligned end of RAM
    - LP: #1473547
  * x86/mce: Fix MCE severity messages
    - LP: #1473547
  * mac80211: don't use napi_gro_receive() outside NAPI context
    - LP: #1473547
  * iwlwifi: mvm: Free fw_status after use to avoid memory leak
    - LP: #1473547
  * iwlwifi: mvm: clean net-detect info if device was reset during suspend
    - LP: #1473547
  * drm/plane-helper: Adapt cursor hack to transitional helpers
    - LP: #1473547
  * ARM: dts: set display clock correctly for exynos4412-trats2
    - LP: #1473547
  * hwmon: (ntc_thermistor) Ensure iio channel is of type IIO_VOLTAGE
    - LP: #1473547
  * mfd: da9052: Fix broken regulator probe
    - LP: #1473547
  * ALSA: hda - Fix noise on AMD radeon 290x controller
    - LP: #1473547
  * lguest: fix out-by-one error in address checking.
    - LP: #1473547
  * xfs: xfs_attr_inactive leaves inconsistent attr fork state behind
    - LP: #1473547
  * xfs: xfs_iozero can return positive errno
    - LP: #1473547
  * fs, omfs: add NULL terminator in the end up the token list
    - LP: #1473547
  * omfs: fix sign confusion for bitmap loop counter
    - LP: #1473547
  * d_walk() might skip too much
    - LP: #1473547
  * dm: fix casting bug in dm_merge_bvec()
    - LP: #1473547
  * hwmon: (nct6775) Add missing sysfs attribute initialization
    - LP: #1473547
  * hwmon: (nct6683) Add missing sysfs attribute initialization
    - LP: #1473547
  * target/pscsi: Don't leak scsi_host if hba is VIRTUAL_HOST
    - LP: #1473547
  * net...

Changed in linux (Ubuntu Vivid):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
arty (me-arty) wrote :

Raphaël, check out the solution I have described in https://bugs.launchpad.net/ubuntu/+source/linux-lts-utopic/+bug/1462614/comments/37

Maybe it will work for you too.

Raphaël Jakse (raphael-jakse) wrote :

That seems to work for me with linux kernel 4.1 and 4.2 rc6 ! Thank you
very much !

Dmitry, pushing your patch (i.e. reverting the revert) seems safe for
me, however we should make sure that this version of the firmware will
be distributed, not the other one, if ever, and that this new version
works for everyone.

Le 28/08/2015 01:12, arty a écrit :
> Raphaël, check out the solution I have described in
> https://bugs.launchpad.net/ubuntu/+source/linux-lts-
> utopic/+bug/1462614/comments/37
>
> Maybe it will work for you too.
>

--
Raphaël Jakse

jack.chen (arliang-tw) wrote :

Thanks for all the great and hard work of ubuntu staff.
Your product to make the world a better place.

I have a wish.
My NB use a Bluetooth chip(AR9462) and it model is "ACER Aspire V3-371-59G4".
I use it every day.
I can not bear the update fails, this will allow me to work interruption.
Great version of the update, let me worry about compatibility, ex:3.13.0-61 to 4.1.

I have a request.
my Ubuntu is old and Stable version (14.04 LTS), can you help me, relaease a Stable version append an fix.
I'll use the official update tool (software-properties-gtk) at every day, get the latest amendments core, ex: 3.13.0-6x.

Very appreciate your help.

Raphaël Jakse (raphael-jakse) wrote :

Unfortunately, the fix for your card won't likely be included in Ubuntu 14.04 LTS.

You need to get those firmware files and put them in /lib/firmware/ar3k:
    - https://bugs.launchpad.net/ubuntu/+source/linux-lts-utopic/+bug/1462614/+attachment/4453553/+files/AthrBT_0x11020100.dfu
    - https://bugs.launchpad.net/ubuntu/+source/linux-lts-utopic/+bug/1462614/+attachment/4453554/+files/ramps_0x11020100_40.dfu

and get an updated driver for your kernel. Unfortunately, the dkms driver provided in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1394368/comments/4 doesn't seem to work with kernel 3.13.

Raphaël Jakse (raphael-jakse) wrote :

For jack.chen and other Ubuntu 14.04 LTS / Mint 17 users with the default linux 3.13 kernel : The following should work :

Launch these commands in a terminal (enter your password and press enter when asked after the first sudo command, the password will not appear on the screen):

wget https://bugs.launchpad.net/ubuntu/+source/linux-lts-utopic/+bug/1462614/+attachment/4453553/+files/AthrBT_0x11020100.dfu
wget https://bugs.launchpad.net/ubuntu/+source/linux-lts-utopic/+bug/1462614/+attachment/4453554/+files/ramps_0x11020100_40.dfu
wget https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1394368/+attachment/4455590/+files/ar9462-dkms_1.0_all.deb
sudo mv AthrBT_0x11020100.dfu /lib/firmware/ar3k/
sudo mv ramps_0x11020100_40.dfu /lib/firmware/ar3k/
sudo dpkg -i ar9462-dkms_1.0_all.deb
sudo apt-get -f install
(if the last command suggests installing new packages, press 'y' and press enter.)

You might need to reboot.

The dpkg module is not compatible with later kernels.

I've been following this bug as I'm also affected. I've AR9462 in Acer Aspire V3-371-79RJ and Ubuntu 15.04 (3.19.0-26-generic).

I made a clean install about a month ago and have now all updates installed. Still dmesg says: "Bluetooth: Patch file not found ar3k/AthrBT_0x11020100.dfu" and bluetooth is not working.

Could someone please recap the above discussion and point out what steps a general user needs to take to make Bluetooth work?

Thanks for fixing this for us!

Raphaël Jakse (raphael-jakse) wrote :

Jukka,

For the moment : assuming you have the same harware as me as far as Bluetooth is concerned (we both have a Acer Aspire V3-371).

The right firmware files for this chipset have normally been found (thanks arty). However, unfortunately, they won't be included in Ubuntu for the moment for licensing issues.

A patch exists to make the driver recognise the chipset and was included in upstream kernel (version 4.2). It probably won't reach Ubuntu until next release.

Here are some commands to be entered in a terminal to work around the issue. They should download and install the right firrmware files for your Bluetooth chipset and a patched driver which recognises your chipset.

wget https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1394368/+attachment/4264502/+files/ar9462-dkms_1.5.1_all.deb
wget https://bugs.launchpad.net/ubuntu/+source/linux-lts-utopic/+bug/1462614/+attachment/4453553/+files/AthrBT_0x11020100.dfu
wget https://bugs.launchpad.net/ubuntu/+source/linux-lts-utopic/+bug/1462614/+attachment/4453554/+files/ramps_0x11020100_40.dfu
sudo mv AthrBT_0x11020100.dfu /lib/firmware/ar3k/
sudo mv ramps_0x11020100_40.dfu /lib/firmware/ar3k/
sudo dpkg -i ar9462-dkms_1.5.1_all.deb
sudo apt-get -f install

You might need to reboot. Please tell us if that works.

Raphaël,

Thank you for very very clear and precise recap.

I followed your advice, but for some reason 'sudo dpkg -i ar9462-dkms_1.5.1_all.deb' stops to 'Error! Bad return status for module build on kernel: 3.19.0-26-generic (x86_64)'.

I've included both
- terminal output (build_command.txt) and
- make.log (build_make.log)
files in the attached ZIP packet.

Any idea why this happened? I'm ready to test more.

Raphaël Jakse (raphael-jakse) wrote :

All right, it seems the module I told you to install isn't compatible
with your kernel. It is suitable for linux 3.16. Something changed
between 3.16 and 3.19. Sorry.

I'll try to build a module for your kernel later in the week end. Please
send me a mail if I forget.

Cheers

Le 05/09/2015 11:06, Jukka Niiranen a écrit :
> Raphaël,
>
> Thank you for very very clear and precise recap.
>
> I followed your advice, but for some reason 'sudo dpkg -i
> ar9462-dkms_1.5.1_all.deb' stops to 'Error! Bad return status for module
> build on kernel: 3.19.0-26-generic (x86_64)'.
>
> I've included both
> - terminal output (build_command.txt) and
> - make.log (build_make.log)
> files in the attached ZIP packet.
>
> Any idea why this happened? I'm ready to test more.
>
>
> ** Attachment added: "Terminal command and it's outcome plus make.log file in one zip."
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1394368/+attachment/4457773/+files/terminal_output_and_makelog.zip
>

--
Raphaël Jakse

Pichalsi (pichalsi) wrote :

Hi,
same problem here. I tried latest ubuntu with kernel 4.2, didnt work. Then tried previous version, downgrading from 3.19 to 3.16, followed the instruction for 3.16, but now the problem is that bluetooth works only on every other reboot - as described here https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1260825 . Any news about the issue or kernel versions where this works?

Michal

julinho (jclarco) wrote :

Raphaël,

Thank you very very much.

Your solution works for me. I have a Acer V3-371.

Hello,

I would like to report that I, too, am experiencing the same issue. I have a Dell Inspiron 15R with Ubuntu 14.04 and the latest 3.19 kernel. Bluetooth device ID: 13d3:3395 does not exist in ath3k.c or btusb.c.

Pilot6 (hanipouspilot) wrote :

This is not "the same issue". You have a different adapter.

Report a new bug by running

ubuntu-bug linux

in terminal.

You can subscribe to that report. I will look into it.

With all due respect; unless I am mistaken, this bug report deals with the Atheros AR9462 bluetooth issues. While I did not consider mention that I recently upgraded the WiFi/Bluetooth combo on my computer to this device, it is indeed a Qualcomm Atheros AR9462. LSUSB output indicates: Bus 003 Device 003: ID 13d3:3395 IMC Networks. The following snippet from linux-3.19/drivers/bluetooth/ath3k.c shows what currently exists in the following:

usb_device_id ath3k_table[]
{ USB_DEVICE(0x131d, 0x3393) },
{ USB_DEVICE(0x131d, 0x3402) },

usb_device_id ath3k_blist_tabl[]
{ USB_DEVICE(0x131d, 0x3393), .driver_info = BTUSB_ATH3012 },
{ USB_DEVICE(0x131d, 0x3402), .driver_info = BTUSB_ATH3012 },

My previous statement is correct. If I must open a new bug report I will do so. I just wanted to clarify the issue I was experiencing. Thank you for your time.

Pilot6 (hanipouspilot) wrote :

This bug deals with a specific adapter

(0x04ca, 0x300d)

This bug has been fixed and has nothing to do with your problem at all.

If you want it to be fixed report another bug.

peng cheng (pc175) wrote :

This command doesn't work for me:

:~$ sudo dpkg -i ar9462-dkms_1.5.1_all.deb
(Reading database ... 235336 files and directories currently installed.)
Preparing to unpack ar9462-dkms_1.5.1_all.deb ...

-------- Uninstall Beginning --------
Module: ar9462
Version: 1.5.1
Kernel: 3.16.0-24-generic (x86_64)
-------------------------------------

Status: This module version was INACTIVE for this kernel.
depmod....(bad exit status: 1)

DKMS: uninstall completed.

------------------------------
Deleting module version: 1.5.1
completely from the DKMS tree.
------------------------------
Done.
Unpacking ar9462-dkms (1.5.1) over (1.5.1) ...
Setting up ar9462-dkms (1.5.1) ...

Loading tarball for ar9462-1.5.1
Loading /var/lib/dkms/ar9462/1.5.1/3.16.0-24-generic/x86_64...

DKMS: ldtarball completed.

Creating symlink /var/lib/dkms/ar9462/1.5.1/source ->
                 /usr/src/ar9462-1.5.1

DKMS: add completed.
First Installation: checking all kernels...
Building only for 4.2.0-27-generic
Building for architecture x86_64
Building initial module for 4.2.0-27-generic
Error! Bad return status for module build on kernel: 4.2.0-27-generic (x86_64)
Consult /var/lib/dkms/ar9462/1.5.1/build/make.log for more information.

FILE CONTENT IN: /var/lib/dkms/ar9462/1.5.1/build/make.log:

DKMS make.log for ar9462-1.5.1 for kernel 4.2.0-27-generic (x86_64)
Wed Feb 10 19:01:56 EST 2016
make: Entering directory '/usr/src/linux-headers-4.2.0-27-generic'
  LD /var/lib/dkms/ar9462/1.5.1/build/built-in.o
  CC [M] /var/lib/dkms/ar9462/1.5.1/build/btusb.o
/var/lib/dkms/ar9462/1.5.1/build/btusb.c: In function ‘btusb_intr_complete’:
/var/lib/dkms/ar9462/1.5.1/build/btusb.c:315:7: error: implicit declaration of function ‘hci_recv_fragment’ [-Werror=implicit-function-declaration]
   if (hci_recv_fragment(hdev, HCI_EVENT_PKT,
       ^
cc1: some warnings being treated as errors
scripts/Makefile.build:264: recipe for target '/var/lib/dkms/ar9462/1.5.1/build/btusb.o' failed
make[1]: *** [/var/lib/dkms/ar9462/1.5.1/build/btusb.o] Error 1
Makefile:1398: recipe for target '_module_/var/lib/dkms/ar9462/1.5.1/build' failed
make: *** [_module_/var/lib/dkms/ar9462/1.5.1/build] Error 2
make: Leaving directory '/usr/src/linux-headers-4.2.0-27-generic'

peng cheng (pc175) wrote :

Looks like the module is built for 3.16.0-24-generic, which is earlier than the status quo 3.16.0-27-generic.
Is there a way to get the module file built against latest kernel?

Pilot6 (hanipouspilot) wrote :

What is the Ubuntu version? Why not just upgrade your kernel?

If you have Ubuntu 14.04, remove that module and run

sudo apt-get install linux-generic-lts-wily

it will install kernel 4.2 with this patch already included.

Jack Lenox (jacklenox) wrote :

Hello, I'm currently running kernel 4.1.20 and I'm experiencing this exact issue. For the same reasons as above, I can't install the patch because of the kernel difference. I have tried just adding the firmware files but that also doesn't seem to fix the problem.

I also tried upgrading my kernel to linux-generic-lts-wily as recommended above.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers